Package com.collibra.dgc.core.api.dto.workflow

# Class FindWorkflowInstancesRequest.Builder

Object
Builder

Enclosing class:
  `FindWorkflowInstancesRequest`

public static final class FindWorkflowInstancesRequest.Builder extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected int`
  `limit`
  Deprecated.
  This field will become private in the next major release.
  `protected int`
  `offset`
  Deprecated.
  This field will become private in the next major release.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FindWorkflowInstancesRequest`
  `build()`
  `FindWorkflowInstancesRequest.Builder`
  `businessItemId(UUID businessItemId)`
  `FindWorkflowInstancesRequest.Builder`
  `businessItemName(String businessItemName)`
  `FindWorkflowInstancesRequest.Builder`
  `but()`
  Deprecated.
  This method will be removed in the future.
  `FindWorkflowInstancesRequest.Builder`
  `limit(int limit)`
  `FindWorkflowInstancesRequest.Builder`
  `offset(int offset)`
  `FindWorkflowInstancesRequest.Builder`
  `parentWorkflowInstanceId(String parentWorkflowInstanceId)`
  `FindWorkflowInstancesRequest.Builder`
  `sortField(FindWorkflowInstancesRequest.SortField sortField)`
  `FindWorkflowInstancesRequest.Builder`
  `sortOrder(SortOrder sortOrder)`
  `String`
  `toString()`
  `FindWorkflowInstancesRequest.Builder`
  `workflowDefinitionId(String workflowDefinitionId)`
  `FindWorkflowInstancesRequest.Builder`
  `workflowDefinitionName(String workflowDefinitionName)`
  `FindWorkflowInstancesRequest.Builder`
  `workflowInstanceIdPhrase(String workflowInstanceIdPhrase)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### offset

    @Deprecated protected int offset
    Deprecated.
    This field will become private in the next major release.

  - ### limit

    @Deprecated protected int limit
    Deprecated.
    This field will become private in the next major release.

- ## Method Details

  - ### offset

    public FindWorkflowInstancesRequest.Builder offset(int offset)

  - ### limit

    public FindWorkflowInstancesRequest.Builder limit(int limit)

  - ### but

    @Deprecated public FindWorkflowInstancesRequest.Builder but()
    Deprecated.
    This method will be removed in the future. Please, use `FindWorkflowInstancesRequest.builder()`
    Clone method for this Builder.

  - ### businessItemName

    public FindWorkflowInstancesRequest.Builder businessItemName(String businessItemName)
    Returns:
      `this`.

  - ### businessItemId

    public FindWorkflowInstancesRequest.Builder businessItemId(UUID businessItemId)
    Returns:
      `this`.

  - ### workflowDefinitionId

    public FindWorkflowInstancesRequest.Builder workflowDefinitionId(String workflowDefinitionId)
    Returns:
      `this`.

  - ### workflowDefinitionName

    public FindWorkflowInstancesRequest.Builder workflowDefinitionName(String workflowDefinitionName)
    Returns:
      `this`.

  - ### parentWorkflowInstanceId

    public FindWorkflowInstancesRequest.Builder parentWorkflowInstanceId(String parentWorkflowInstanceId)
    Returns:
      `this`.

  - ### workflowInstanceIdPhrase

    public FindWorkflowInstancesRequest.Builder workflowInstanceIdPhrase(String workflowInstanceIdPhrase)
    Returns:
      `this`.

  - ### sortField

    public FindWorkflowInstancesRequest.Builder sortField(FindWorkflowInstancesRequest.SortField sortField)
    Returns:
      `this`.

  - ### sortOrder

    public FindWorkflowInstancesRequest.Builder sortOrder(SortOrder sortOrder)
    Returns:
      `this`.

  - ### build

    public FindWorkflowInstancesRequest build()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`